Đến nội dung
X-Buddy

Tra cứu API

Tình trạng một nick

account_get_status — Health of one X account: session, safety, X cooldown, running / waiting jobs with hold reasons, quota used and left today / last 7 days per action group, run hours, the account clock (local date, time

account_get_status · Đọc dữ liệu đã lưu

Mô tả kỹ thuật bằng tiếng Anh — đúng chữ AI agent đọc qua MCP.

Health of one X account: session, safety, X cooldown, running / waiting jobs with hold reasons, quota used and left today / last 7 days per action group, run hours, the account clock (local date, time and UTC offset — use it to turn "8 am tomorrow" into an ISO time for post_schedule), test mode, agent version and which tools its agent supports.

REST GET /api/public/v1/accounts/{account}/status
Công cụ MCP account_get_status
Quyền cần có view — Chủ, Quản lý, Vận hành, Chỉ xem
Nhóm quyền accounts:read
Nhóm Lõi: nick, việc, tìm công cụ
Hiện sẵn trong hồ sơ mọi hồ sơ (bộ lõi)

Đầu vào

Trường Kiểu Bắt buộc Mô tả
account string (1–100 chars) Có The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing.

Kết quả

Trả về trong phong bì { data, meta }, không tạo việc trên X. Danh sách có next_cursor và has_more.

Ví dụ

Gọi qua REST

curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/accounts/%40your_x_account/status" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"

Gọi qua MCP

{
  "method": "tools/call",
  "params": {
    "name": "account_get_status",
    "arguments": {
      "account": "@your_x_account"
    }
  }
}

Lỗi có thể gặp

Mã HTTP Thử lại được
unauthorized 401 Không
key_expired 401 Không
integration_revoked 401 Không
connection_not_linked 403 Không
integration_paused 403 Không
workspace_integrations_paused 403 Không
integration_authorization_lost 403 Không
workspace_suspended 403 Không
forbidden 403 Không
invalid_input 422 Không
rate_limited 429 Có
internal 500 Có
ambiguous_account 409 Không
account_not_allowed 403 Không
not_found 404 Không

Về danh sách thao tác